#ifndef NMEA_RK_H_
#define NMEA_RK_H_

#include "uart.h"
#include "integer.h"
#include <stdbool.h>
#include <stdlib.h>
#include <string.h>
#define gps_buffer_size 100

//=========================GPRMC_frame_config=============================
#define UTC_time_size 7 //liczba znakow informacji o czasie w ramce modulu GPS
#define Latitude_size 10 //liczba znakow informacji o szerokosci geograficznej w ramce modulu GPS
#define Longtitude_size 11 //liczba znakow informacji o dugoci geograficznej w ramce modulu GPS
#define Speed_size 6 //liczba znakow informacji o szybkosci przemieszczania w ramce modulu GPS
#define Course_size 8 //liczba znakow informacji o aktualnym kursie w ramce modulu GPS
#define Date_size 7 //liczba znakow informacji o dacie w ramce modulu GPS
#define Mvariation_size 5 //liczba znakow informacji o dacie w ramce modulu GPS



#endif

//dzieli ramk RMC
struct GPRMC divide_frame(char* buff); 


//void gps_convert(char* latitude_gps, char ns, char* longtitude_gps, char ew, char* coordinates_out);

//Funkcja do pobrania czasu i daty z gps
DWORD get_fattime (bool mode);

char get_RMC_frame(char* buff);
