/*
 * led.c
 *
 * Created: 2012-02-05 11:55:30
 *  Author: Radek
 */ 

#include "led.h"




//Funckja steruje dioda sygnalizacyjna
//przerwanie dla ustawienia trybu=0, podczas wykonywania przez timer wynosi 1
char led_display(bool przerwanie, enum led_state ld1,enum led_state ld2)
{
	static char led_mode, led_mode2;
	static char cnt;
	
	
	if (przerwanie==1) //opcja dla przerwania timera
	{
		cnt++;
		if (cnt==32) cnt=0;
		//-----------led1--------------
		switch ((led_mode & 0x7F))
		{
			case 0:
				led1_off;
				break;
			case 1:
				led1_on;
				break;
			case 2:
				if (cnt==16) led1_tg;
				break;
			case 3:
			    if ((cnt==0) ||(cnt==8) || (cnt==16) || (cnt==24)) led1_tg;
				break;
			case 4:
			    if ((cnt==0) ||(cnt==1) || (cnt==4) ||(cnt==5)) led1_on; else led1_off;
				break;
			case 5:
			    if ((cnt==0) ||(cnt==1) || (cnt==4) ||(cnt==5) || (cnt==8) || (cnt==9)) led1_on; else led1_off;
				break;
			case 6:
			    if ((cnt==0) ||(cnt==1) ) led1_on; else led1_off;
				break;
			default:
				break;
		}
		
		//===================led 2===========================
		switch ((led_mode2 & 0x7F))
		{
			case 0:
				led2_off;
				break;
			case 1:
				led2_on;
				break;
			case 2:
				if (cnt==16) led2_tg;
				break;
			case 3:
			    if ((cnt==0) ||(cnt==8) || (cnt==16) || (cnt==24)) led2_tg;
				break;
			case 4:
			    if ((cnt==0) ||(cnt==1) || (cnt==4) ||(cnt==5)) led2_on; else led2_off;
				break;
			case 5:
			    if ((cnt==0) ||(cnt==1) || (cnt==4) ||(cnt==5) || (cnt==8) || (cnt==9)) led2_on; else led2_off;
				break;
			case 6:
			    if ((cnt==0) ||(cnt==1) ) led2_on; else led2_off;
				break;
			default:
				break;
		}
		
		
		
		
	}
	else
	{
		if (ld1 !=dont_change)
		led_mode= ld1;
		
		if (ld2 !=dont_change)
		led_mode2= ld2;
	}		
	
	return led_mode;
}



//ciage -> rejestracja

//slow blink ->zatrzymana

//fast blink -> pazua

//3 flashes -> sd error