/*
 * operacje_sd.c
 *
 * Created: 2012-02-05 21:23:18
 *  Author: Radek
 */ 
#include "operacje_sd.h"

	FRESULT res;			
	FATFS fatfs;			/* File system object */
	FIL plik;				
	DIR dir;				/* Directory object */
	FILINFO finfo;			/* File information object */
	UINT br;
	
	

bool append_to_file(char* filename, char* buffer, int len)
{
	res=0;
	f_mount(0, &fatfs);		
	res += f_open(&plik, filename , FA_OPEN_ALWAYS | FA_WRITE );
	res += f_lseek(&plik,f_size(&plik));
	res += f_write(&plik, buffer, len, &br);
	res += f_lseek(&plik,f_size(&plik));
	f_close(&plik);
	f_mount(0, 0);
	
	if (res==0) return 1; //OK
	return 0; //ERROR
}


//Funkcja wyszukuje indeksu XX dla pliku trasaXX (aby zachwoa cigo numeracji) tworzonych plikw
bool new_file_name(char* nazwa)
{
	char i;
	bool ok=0;
	strcpy(nazwa,"trasaXX.log");
	f_mount(0, &fatfs);	
	_delay_ms(10);
	
	
	for (i=1;i<100;i++)
	{
		if (i<10)
		{
			nazwa[5]='0';
			nazwa[6]=i+48;
		} 
		else
		{
			nazwa[5]=(i/10)+48;
			nazwa[6]=(i%10)+48;
		}
		
		
		
		res = f_open(&plik, nazwa , FA_READ);
		if (res == FR_NOT_READY) {break;}
		if (res == FR_NO_FILE) {ok=1;break;}
		
	
	}
	f_close(&plik);
	f_mount(0, 0);
	
	if (ok==0) nazwa[0]=0;
	return ok;

}


char check_card(void)
{
	
	f_mount(0, &fatfs);	
	res = f_open(&plik, "plik.xyz" , FA_READ);
	f_close(&plik);
	f_mount(0, 0);
	usart_string("sprawdzam karte");
	
	
	if (res==FR_NOT_READY) return 0;
	
    return 1;
}


	
	
	

